std::random_device Class Reference
Random Number Generators

## Public Types

typedef unsigned int | result_type

## Public Member Functions

| random_device (const std::string &__token="mt19937")
| random_device (const random_device &)=delete
double | entropy () const noexcept
result_type | operator() ()
void | operator= (const random_device &)=delete

## Static Public Member Functions

static constexpr result_type | max ()
static constexpr result_type | min ()

## Detailed Description

A standard interface to a platform-specific non-deterministic random number generator (if any are available).

Definition at line 1575 of file random.h.

## Member Typedef Documentation

typedef unsigned int std::random_device::result_type

The type of the generated random value.

Definition at line 1579 of file random.h.

The documentation for this class was generated from the following file:

- random.h